summaryrefslogtreecommitdiffstats
path: root/system/crikey/crikey.SlackBuild
diff options
context:
space:
mode:
author Bryan Harris2010-05-13 01:00:44 +0200
committer Robby Workman2010-05-13 01:00:44 +0200
commite4fbc400eabcb6954f369c4292e4ee5e77209c02 (patch)
tree7739aa2bce7a367f696a42282b551dc061050053 /system/crikey/crikey.SlackBuild
parentcf8a43d527c17d7ff0a04bc6e6554c420c82751c (diff)
downloadslackbuilds-e4fbc400eabcb6954f369c4292e4ee5e77209c02.tar.gz
system/crikey: Added to 13.0 repository
Diffstat (limited to 'system/crikey/crikey.SlackBuild')
-rw-r--r--system/crikey/crikey.SlackBuild85
1 files changed, 85 insertions, 0 deletions
diff --git a/system/crikey/crikey.SlackBuild b/system/crikey/crikey.SlackBuild
new file mode 100644
index 0000000000..b2a0a0f6df
--- /dev/null
+++ b/system/crikey/crikey.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for crikey
+
+# Copyright 2009 Bryan Harris, Texas, United States
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=crikey
+VERSION=${VERSION:-0.8.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Let's make packaging a bit easier (patch sent upstream by RW)
+patch -p1 < $CWD/crikey-0.8.3-Makefile.diff
+
+make install \
+ OPTS="$SLKCFLAGS" \
+ PREFIX=/usr \
+ X11LIBS=/usr/lib${LIBDIRSUFFIX}/X11 \
+ DESTDIR=$PKG
+
+strip --strip-unneeded $PKG/usr/bin/crikey
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/ChangeLog > $PKG/usr/doc/$PRGNAM-$VERSION/ChangeLog
+cat $CWD/NEWS > $PKG/usr/doc/$PRGNAM-$VERSION/NEWS
+cat $CWD/README.source > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}